Modify

Opened 5 years ago

Closed 5 years ago

#9047 closed defect (fixed)

uClibc-0.9.30.1 lacks for strverscmp() and versionsort[64]()

Reported by: anonymous Owned by: developers
Priority: high Milestone: Backfire 10.03.1
Component: base system Version: Trunk
Keywords: Cc:

Description

uClibc-0.9.30.1 lacks for strverscmp() and versionsort[64]().

The attached patch backports this uClibc commit: http://git.uclibc.org/uClibc/commit/?id=1a2c9641465f2c64fbb49749688ca465ad3cd6fe

The lack of versionsort() leads to compilation failure of updated alsa-lib-1.0.24.1, which started to use this function.

Attachments (1)

903-backport-strverscmp_versionsort.patch (7.3 KB) - added by anonymous 5 years ago.

Download all attachments as: .zip

Change History (6)

Changed 5 years ago by anonymous

comment:1 Changed 5 years ago by anonymous

Could someone react to this bug report, please?

comment:2 Changed 5 years ago by flyn

This bug seems to block building gst-plugins-base, which in turn blocks libdmapsharing and dmapd. This report was duplicated in ticket #9148.

comment:4 Changed 5 years ago by anonymous

Any ETA on this?(or how I can work around it myself, sorry if thats clear - noob here) I'm trying to compile alsa-lib which keeps failing because of this problem.

comment:5 Changed 5 years ago by jow

  • Resolution set to fixed
  • Status changed from new to closed

Committed in r26888 - thanks!

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.